class BankAccount(object):
    
    def __init__(self, initial_balance):
        self.balance = initial_balance
        
    def deposit(self, amount):
        self.balance += amount
    
    def withdraw(self, amount):
        self.balance -= amount
        return amount
    
    def get_current_value(self):
        return self.balance
    
class AccountWithInterest(BankAccount):
    
    def __init__(self, initial_balance, apr):
        self.balance = initial_balance
        self.apr = apr # anual percentage rage
        self.age = 0 
    
    def wait(self, years):
        #self.balance = self.balance * ((1+self.apr) ** years)
        
        for i in range(years): 
            interest = self.balance * self.apr 
            self.balance += interest
            
        self.age += years
            
    def __str__(self):
        return "Balance: {}, APR: {}".format(self.balance, self.apr)
    
    def __repr__(self):
        return "<InterestAccount Balance: {}, APR: {} Age: {}>".\
                format(self.balance, self.apr, self.age)
    
    
        
        
        